
module MailAgent
  module Models
    module Amavis
      class User < Amavis::Base

        def self.find_by_hel(object)
          self.where(email: hel_key(object)).first
        end

        def self.create_or_update_with_hel!(object)
          raise "#{object.to_s} isn't a Ygg::SimpleService::Email::Domain or Ygg::SimpleService::Email::Box" unless object.is_a?(Ygg::SimpleService::Email::Domain) or object.is_a?(Ygg::SimpleService::Email::Box)

          record = find_by_hel(object) 
          unless object.policy_id.present? && object.policy_id > 0 
            record.destroy if record
            return false
          end 

          record ||= new

          attrs = {
            priority: 7, #TODO WTF???
            policy_id: object.policy_id,
            email: hel_key(object),
            fullname: nil,
            local: 'Y'
          }

          record.attributes = attrs
          record.save!

          record
        end

        protected

        def self.hel_key(object)
          case object
          when Ygg::SimpleService::Email::Domain then "@#{object.domain}"
          when Ygg::SimpleService::Email::Box then object.fqda
          end
        end
      end
    end
  end
end