
module MailAgent
  module Models
    module Email
      class Forward < Email::Base
        def self.create_or_update_with_hel!(object)
          raise "#{object.to_s} isn't a Ygg::SimpleService::Email::Domain::Alias or Ygg::SimpleService::Email::Box" unless ['Ygg::SimpleService::Email::Domain::Alias', 'Ygg::SimpleService::Email::Box'].include?(object.class.name)
          attrs = object.as_json(only: [:fqda, :user, :domain, :uuid, :policy_id])
          fwds = object.forwards.respond_to?(:limit) ? object.forwards.limit(object.forwards.total_count) : object.forwards
          attrs[:fwd_addresses] = fwds.map(&:fqda).to_a
          return false if attrs[:fwd_addresses].blank?  # non creare il record se non ci sono indirizzi a cui girare le mail

          attrs[:fwd_addresses].unshift object.fqda if object.respond_to?(:fwd_only) && !object.fwd_only
          attrs[:fwd_addresses] = attrs[:fwd_addresses].join(', ')

          record = self.find_or_initialize_by(fqda: object.fqda)
          record.attributes = attrs
          record.save!
          record
        end
      end
    end
  end
end
