
module MailAgent
  module Models
    module Policyd
      class Tracker < Policyd::Base
        has_one :client_address
        has_one :authenticated_identity

        serialize :heuristics

        before_create do
          self.first_seen = Time.now
          self.last_update = Time.now
        end

        def reset!
          self.count = 0 unless count.blank?
          self.recipients = 0 unless recipients.blank?
          self.volume = 0 unless volume.blank?
          self.last_update = Time.now
          save!
        end
      end
    end
  end
end