module Ygg
  module SimpleService
    module Email
      class Domain < ActiveResource::Hel::Resource
        autoload :Alias, 'mail_agent/ygg/simple_service/email/domain/alias'

        self.load_remote_schema = true
        self.timeout = 120

        def create_or_update_db_domain!
          if self.active
            ::MailAgent::Models::Amavis::User.create_or_update_with_hel!(self)
            ::MailAgent::Models::Email::Domain.create_or_update_with_hel!(self)
          else
            destroy_db_domain!
          end
        end

        def destroy_db_domain!
          record = ::MailAgent::Models::Email::Domain.find_by_hel(self)
          record.destroy! if record
          record = ::MailAgent::Models::Amavis::User.find_by_hel(self)
          record.destroy! if record
        end

        def has_aliases?
          respond_to?(:aliases) && aliases.any?
        end
      end
    end
  end
end
