module Ygg
  module SimpleService
    module Email
      class RelayExtension < ActiveResource::Hel::Resource
        self.load_remote_schema = true
        self.timeout = 120

        def create_or_update_db_box!
          destroy_db_box! unless is_credential?
          ::MailAgent::Models::Email::Box.create_or_update_with_hel!(self) if is_credential?
        end

        def destroy_db_box!
          record = ::MailAgent::Models::Email::Box.find_by_hel(self)
          record.destroy! if record
        end

        def create_or_update_db_extension!
          create_or_update_db_extension_policyd!
          create_or_update_db_extension_cluebringer!
        end

        def destroy_db_extension!
          destroy_db_extension_policyd!
          destroy_db_extension_cluebringer!
        end

        def is_address?
          self.ip.present? && self.login.blank?
        end

        def is_identity?
          self.ip.blank? && self.login.present?
        end

        def is_mailbox?
          is_identity? && self.real_box == true
        end

        def is_credential?
          is_identity? && self.real_box != true
        end

        protected

        def create_or_update_db_extension_policyd!
          if is_address?
            ::MailAgent::Models::Policyd::ClientAddress.create_or_update_with_hel!(self)             
          else is_identity?
            ::MailAgent::Models::Policyd::AuthenticatedIdentity.create_or_update_with_hel!(self)
          end
        end

        def destroy_db_extension_policyd!
          record = ::MailAgent::Models::Policyd::AuthenticatedIdentity.find_by_hel(self)
          record.destroy! if record
          record = ::MailAgent::Models::Policyd::ClientAddress.find_by_hel(self)
          record.destroy! if record
        end

        def create_or_update_db_extension_cluebringer!
          ::MailAgent::Models::Cluebringer::PolicyGroupMember.create_or_update_with_hel!(self)
        end

        def destroy_db_extension_cluebringer!
          record = ::MailAgent::Models::Cluebringer::PolicyGroupMember.find_by_hel(self)
          record.destroy! if record
        end
      end
    end
  end
end