-- MySQL dump 10.13  Distrib 5.5.41, for debian-linux-gnu (x86_64)
--
-- Host: 192.168.193.250    Database: mail
-- ------------------------------------------------------
-- Server version	5.6.17

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `boxes`
--

DROP TABLE IF EXISTS `boxes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `boxes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user` varchar(255) NOT NULL,
  `domain` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `on_hold` tinyint(1) NOT NULL DEFAULT '0',
  `send_only` tinyint(1) NOT NULL DEFAULT '0',
  `pop3_merge_junk` tinyint(1) NOT NULL DEFAULT '0',
  `fqda` varchar(255) NOT NULL,
  `uuid` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `user` (`user`,`domain`),
  UNIQUE KEY `fqda` (`fqda`),
  UNIQUE KEY `uuid` (`uuid`),
  KEY `send_only_on_hold` (`send_only`,`on_hold`),
  KEY `send_only` (`send_only`),
  KEY `on_hold` (`on_hold`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `boxes`
--

LOCK TABLES `boxes` WRITE;
/*!40000 ALTER TABLE `boxes` DISABLE KEYS */;
/*!40000 ALTER TABLE `boxes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `domains`
--

DROP TABLE IF EXISTS `domains`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `domains` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `domain` varchar(255) NOT NULL,
  `virtual` varchar(255) DEFAULT NULL,
  `relay_only` tinyint(1) NOT NULL DEFAULT '0',
  `mx` varchar(255) DEFAULT NULL,
  `uuid` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `domain` (`domain`),
  UNIQUE KEY `uuid` (`uuid`),
  KEY `virtual` (`virtual`),
  KEY `relay_only` (`relay_only`),
  KEY `mx` (`mx`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `domains`
--

LOCK TABLES `domains` WRITE;
/*!40000 ALTER TABLE `domains` DISABLE KEYS */;
/*!40000 ALTER TABLE `domains` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `forwards`
--

DROP TABLE IF EXISTS `forwards`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `forwards` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user` varchar(255) NOT NULL,
  `domain` varchar(255) NOT NULL,
  `policy_id` int(11) DEFAULT NULL,
  `fwd_addresses` LONGTEXT NOT NULL,
  `fqda` varchar(255) NOT NULL,
  `uuid` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `fqda` (`fqda`),
  KEY `uuid` (`uuid`),
  KEY `user` (`user`,`domain`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `forwards`
--

LOCK TABLES `forwards` WRITE;
/*!40000 ALTER TABLE `forwards` DISABLE KEYS */;
/*!40000 ALTER TABLE `forwards` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Temporary table structure for view `mailbox_boxes`
--

DROP TABLE IF EXISTS `mailbox_boxes`;
/*!50001 DROP VIEW IF EXISTS `mailbox_boxes`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `mailbox_boxes` (
  `user` tinyint NOT NULL,
  `domain` tinyint NOT NULL
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `mailbox_domains`
--

DROP TABLE IF EXISTS `mailbox_domains`;
/*!50001 DROP VIEW IF EXISTS `mailbox_domains`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `mailbox_domains` (
  `domain` tinyint NOT NULL
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `mailbox_logins`
--

DROP TABLE IF EXISTS `mailbox_logins`;
/*!50001 DROP VIEW IF EXISTS `mailbox_logins`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `mailbox_logins` (
  `user` tinyint NOT NULL,
  `domain` tinyint NOT NULL,
  `password` tinyint NOT NULL,
  `pop3_merge_junk` tinyint NOT NULL
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `smtp_in_relay`
--

DROP TABLE IF EXISTS `smtp_in_relay`;
/*!50001 DROP VIEW IF EXISTS `smtp_in_relay`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `smtp_in_relay` (
  `domain` tinyint NOT NULL,
  `mx` tinyint NOT NULL
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `smtp_in_virtual_domains`
--

DROP TABLE IF EXISTS `smtp_in_virtual_domains`;
/*!50001 DROP VIEW IF EXISTS `smtp_in_virtual_domains`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `smtp_in_virtual_domains` (
  `domain` tinyint NOT NULL,
  `destination_domain` tinyint NOT NULL
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `smtp_out_logins`
--

DROP TABLE IF EXISTS `smtp_out_logins`;
/*!50001 DROP VIEW IF EXISTS `smtp_out_logins`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `smtp_out_logins` (
  `user` tinyint NOT NULL,
  `domain` tinyint NOT NULL,
  `password` tinyint NOT NULL
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Final view structure for view `mailbox_boxes`
--

/*!50001 DROP TABLE IF EXISTS `mailbox_boxes`*/;
/*!50001 DROP VIEW IF EXISTS `mailbox_boxes`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb4 */;
/*!50001 SET character_set_results     = utf8mb4 */;
/*!50001 SET collation_connection      = utf8mb4_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`rottame`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `mailbox_boxes` AS select `boxes`.`user` AS `user`,`boxes`.`domain` AS `domain`,`boxes`.`pop3_merge_junk` AS `pop3_merge_junk` from `boxes` where (`boxes`.`send_only` = 0) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `mailbox_domains`
--

/*!50001 DROP TABLE IF EXISTS `mailbox_domains`*/;
/*!50001 DROP VIEW IF EXISTS `mailbox_domains`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb4 */;
/*!50001 SET character_set_results     = utf8mb4 */;
/*!50001 SET collation_connection      = utf8mb4_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`rottame`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `mailbox_domains` AS select `domains`.`domain` AS `domain` from `domains` where (((`domains`.`virtual` = '') or isnull(`domains`.`virtual`)) and (`domains`.`relay_only` = 0)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `mailbox_logins`
--

/*!50001 DROP TABLE IF EXISTS `mailbox_logins`*/;
/*!50001 DROP VIEW IF EXISTS `mailbox_logins`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb4 */;
/*!50001 SET character_set_results     = utf8mb4 */;
/*!50001 SET collation_connection      = utf8mb4_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`rottame`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `mailbox_logins` AS select `boxes`.`user` AS `user`,`boxes`.`domain` AS `domain`,`boxes`.`password` AS `password` from `boxes` where ((`boxes`.`send_only` = 0) and (`boxes`.`on_hold` = 0)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `smtp_in_relay`
--

/*!50001 DROP TABLE IF EXISTS `smtp_in_relay`*/;
/*!50001 DROP VIEW IF EXISTS `smtp_in_relay`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb4 */;
/*!50001 SET character_set_results     = utf8mb4 */;
/*!50001 SET collation_connection      = utf8mb4_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`rottame`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `smtp_in_relay` AS select `domains`.`domain` AS `domain`,`domains`.`mx` AS `mx` from `domains` where (isnull(`domains`.`virtual`) or (`domains`.`virtual` = '')) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `smtp_in_virtual_domains`
--

/*!50001 DROP TABLE IF EXISTS `smtp_in_virtual_domains`*/;
/*!50001 DROP VIEW IF EXISTS `smtp_in_virtual_domains`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb4 */;
/*!50001 SET character_set_results     = utf8mb4 */;
/*!50001 SET collation_connection      = utf8mb4_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`rottame`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `smtp_in_virtual_domains` AS select `domains`.`domain` AS `domain`,`domains`.`virtual` AS `destination_domain` from `domains` where ((`domains`.`virtual` is not null) and (`domains`.`virtual` <> '')) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `smtp_out_logins`
--

/*!50001 DROP TABLE IF EXISTS `smtp_out_logins`*/;
/*!50001 DROP VIEW IF EXISTS `smtp_out_logins`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb4 */;
/*!50001 SET character_set_results     = utf8mb4 */;
/*!50001 SET collation_connection      = utf8mb4_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`rottame`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `smtp_out_logins` AS select `boxes`.`user` AS `user`,`boxes`.`domain` AS `domain`,`boxes`.`password` AS `password` from `boxes` where (`boxes`.`on_hold` = 0) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2015-03-13  0:13:54
